{% extends 'base.html' %}
{% block title %}
Courses
{% endblock %}

{% block content %}
    <h1>COURSES</h1>
    <a class="link-button" href="{{ url_for('courseComp.add_course') }}">Add course</a>
    <div id="search-filter">
        <form method="post">
            {{ form.csrf_token }}   
            {{ form.searchbar() }}
            {{ form.term_select() }}
            {{ form.domain_select() }}
            {{ form.submit() }}
        </form>
    </div>
    <div id='courses'>
        {% for course in courses %}
        
            <div class='course' id='{{ course.course_id }}'>
                <div class='course_header'>
                    <div class='course_id'><a href="{{  url_for('courseComp.specific_course', course_id=course.course_id)  }}">{{ course.course_id }}</a></div>
                    <div class='course_name'>{{ course.course_name }}</div>
                    <div class='course_clh'>{{course.theory_hours}}-{{course.lab_hours}}-{{course.work_hours}}</div>
                    <div class='course_hrs'>{{course.course_hours}}</div>
                    <div class='course_term'>Term {{ course.term.term_id }}</div>
                    <div class='course_domain'><a href="{{ url_for('courseComp.specific_domain', domain_id=course.domain.domain_id) }}">{{ course.domain.domain }}</a></div>
                </div>
                <div class='course_description'>{{ course.course_description }}</div>
                
            </div>

        {% endfor %}
    </div>
{% endblock %}
